package de.slpnetwork.brewcraft.item.food;

import net.minecraft.world.effect.MobEffectInstance;
import net.minecraft.world.effect.MobEffects;
import net.minecraft.world.food.FoodProperties;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.Rarity;

public class Yeast {
    public static Item GetItem() {
        return new Item(
            new Item.Properties().
                stacksTo(64).
                food(
                    new FoodProperties.Builder().
                        nutrition(1).
                        saturationMod(0.5f).
                        effect(() -> new MobEffectInstance(MobEffects.POISON, 600, 3, false, true), 0.8f).
                        build()
                ).
                rarity(Rarity.COMMON)
        );
    }
}
